<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div>
    <div
      v-if="isLoaderGetAttribute"
      class="m-loader m-loader--brand m-loader--lg"
      style="width: 30px; height: 30px; display: inline-block;"
    ></div>
    <div v-else>
      <div class="nt-box-body-filter nt-box-body-filter-show" :class="{'pb-0': !hasFilterId}">
        <h5>Chọn bộ lọc</h5>
        <div style="height: 38px; pointer-events: none;">
          <filter-customer
            :filter_data="getCustomerFilters"
            :full_attributes="attributeFullForFilter"
            :total_items="totalCustomer"
            :filter_attributes="filterAttributesCustomer"
            :cache_attributes_filter="cacheForFilterAttributes"
            :filter_type="1"
            :filter_is_show_action="false"
            :filter_share_is_show="false"
            @show_filter="filterShow"
            @show_is_all_data="filterAllData"
            @start_filter="startFilter"
            @show_filter_id="showFilterGetId"
            @cancel_filter="cancelFilter"
          ></filter-customer>
        </div>
      </div>
      <div
        class="form-control-feedback m--font-danger m--margin-bottom-10"
        v-if="!hasFilterId"
      >Bộ lọc đã bị xoá, vui lòng chọn bộ lọc khác.</div>
      <div class="nt-box-body-filter-hr"></div>
      <h5 class="m--margin-bottom-10">Thống kê theo kết quả lọc:</h5>
      <div class="row">
        <div class="col-md-4">
          Số lượng khách hàng:
          <span
            class="m-loader m-loader--brand m--margin-left-15"
            v-if="isLoaderGetCountCustomer"
          ></span>
          <span class="nt-simple-bold" v-else>{{ totalCustomer }}</span>
        </div>
        <div class="col-md-4">
          Số lượng email:
          <span
            class="m-loader m-loader--brand m--margin-left-15"
            v-if="isLoaderGetCountCustomer"
          ></span>
          <span class="nt-simple-bold" v-else>{{ totalEmailCustomer }}</span>
        </div>
      </div>
    </div>
    <confirmation
      :id="idShowEmailSchedulerMessageFilter"
      :content="contentMessageFilter"
      :cancelText="cancelTextMessageFilter"
      :showButton="showButton"
    ></confirmation>
  </div>
</template>
